## imediff 2.2

=== doc/Makefile ===
# Generate manpage from DocBook XML
#
# Require xsltproc
#   For Debian, xsltproc binary package.
#   For others, xsltproc is available from the libxsl source which uses libxml2.
#   See http://xmlsoft.org/xslt/ for more.

MANPAGES = imediff.1 git-ime.1

all: $(MANPAGES)

%.1:  %.xml
	xsltproc --novalid /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $?


distclean: clean

clean:
	rm -f $(MANPAGES)

## imediff 2.1

=== debian/changelog ===
imediff (2.1-1) unstable; urgency=medium

  * Adjust package dependency for smooth transition from imediff2.

 -- Osamu Aoki <osamu@debian.org>  Sat, 16 Feb 2019 13:08:00 +0900

imediff (2.0-1) unstable; urgency=medium

  * New upstream release in python3 with diff3 support etc. as imediff.
    Closes: #920810
  * Add autopkgtest support.

 -- Osamu Aoki <osamu@debian.org>  Wed, 30 Jan 2019 00:01:23 +0900

imediff2 (1.1.2.1-2) unstable; urgency=medium

  * Ship git-ime and git-ime.1. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Oct 2018 02:45:03 +0900

imediff2 (1.1.2.1-1) unstable; urgency=medium

  * New upstream release by DD with configurable key bindings.
  * Salvage upload.
  * Add safe guards to the 'q' command.  Closes: #799865
  * Update manpage XML source and rebuild it.  Closes: #860351
  * Use source/format 3.0 (quilt)
  * Use "dh $@" in debian/rules.

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Oct 2018 01:54:49 +0900

imediff2 (1.1.2-3) unstable; urgency=medium

  * Add dh-python, python-setuptools and python-all-dev to Build-Depends.
  * Correct typo in bug number reference in previous version (1.1.2-2)
    of changelog.  Closes: #831966.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 12 Oct 2016 16:22:53 -0400

imediff2 (1.1.2-2) unstable; urgency=medium

  * debian/rules: 
    + Changed build architecture line to fix RC bug FTBFS binary build with no
      binary artifacts found. Closes: #831966.
    + Changed call to dh_clean -k to dh_prep.
    + Added build commands to build-arch build-indep.
  * debian/control:
    + Bumped Standards-Version to 3.9.8. No changes.
    + Bumped debhelper to >= 9.
    + Add ${misc:Depends}.
  * Bumped debian/compat to 9.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 11 Oct 2016 06:46:12 -0400

imediff2 (1.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616847).
  * Define homepage field (Closes: #615420).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:25:45 +0200

imediff2 (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. Closes: #425240.
  * Changed debian/copyright to include standard paragraph about GPL.
  * debian/control:
    + Bumped Standards-Version to 3.7.2. No changes.
    + Bumped debhelper to >= 5.0.38.
    + Added homepage.
    + Changed Build-Depends-Indep to Build-Depends.
    + Added Build-Depends on python-central and python-all-dev.
    + Added XB-Python-Version and XS-Python-Version.
  * Bumped debian/compat to 5.
  * Edited debian/watch to look for current versioning style in upstream. Also
    updated to version 3.
  * debian/rules:
    + Changed to dh_pycentral.
    + Removed dh_python.
    + Cleaned up cruft.
  * Added debian/pycompat.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 16 Aug 2007 21:02:40 -0400

imediff2 (1.1.1-2) unstable; urgency=low

  * Orphaning the package.

 -- Jarno Elonen <elonen@debian.org>  Fri, 18 May 2007 12:18:09 +0300

imediff2 (1.1.1-1) unstable; urgency=low

  * New upstream release
    - Applied some patches by Wolfram Sang. Thank you!
      + Adds '--new-file' option (like 'diff')
      + Better error messages
      + KEY_BACKSPACE goes to previous chunk
      + '-o file' is not required anymore (for preview, no saving)
      + help screen shows which color means which file

 -- Jarno Elonen <elonen@debian.org>  Fri, 10 Feb 2006 19:13:57 +0200

imediff2 (1.1.0+20041113-1) unstable; urgency=low

  * New upstream release (from SVN)
    - typo correction in help file

  * Changed watch file to point to Alioth

 -- Jarno Elonen <elonen@debian.org>  Sat, 13 Nov 2004 01:18:42 +0200

imediff2 (1.1.0-1) unstable; urgency=low

  * New upstream release
    - launch external editor with 'e'
    - more effective keyboard commands
    - documentation license changed from
      GFDL to Public Domain

 -- Jarno Elonen <elonen@debian.org>  Fri, 22 Oct 2004 22:27:04 +0300

imediff2 (1.0.2-1) unstable; urgency=low

  * New upstream release

  * Added a watch file

 -- Jarno Elonen <elonen@debian.org>  Sun, 10 Oct 2004 02:44:39 +0300

imediff2 (1.0.1-2) unstable; urgency=low

  * Added a watch file

 -- Jarno Elonen <elonen@debian.org>  Sun, 10 Oct 2004 01:57:17 +0300

imediff2 (1.0.1-1) unstable; urgency=low

  * New upstream release.
    - Fix some screen (re)size problems (closes: #250627)

  * _Really_ changed maintainer email address

 -- Jarno Elonen <elonen@debian.org>  Mon, 24 May 2004 21:16:53 +0300

imediff2 (1.0-3) unstable; urgency=low

  * Copyright update
  * Changed maintainer email address

 -- Jarno Elonen <elonen@debian.org>  Fri, 16 Jan 2004 11:41:41 +0200

imediff2 (1.0-2) unstable; urgency=low

  * Support for the alternatives system ('/usr/bin/merge2')

  * Use the packaging automation provided by dh_python

  * First upload to Main (closes: #221135)

 -- Jarno Elonen <elonen@iki.fi>  Sat, 15 Nov 2003 14:46:34 +0200

imediff2 (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Jarno Elonen <elonen@iki.fi>  Sun, 27 Apr 2003 02:11:31 +0300

=== debian/control ===
Source: imediff
Section: text
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-python,
               docbook-xsl,
               python3-all,
               python3-distutils-extra,
               python3-setuptools,
               xsltproc
Standards-Version: 4.2.1
VCS-Git: https://github.com/osamuaoki/imediff.git -b master
Vcs-Browser: https://github.com/osamuaoki/imediff
Homepage: https://github.com/osamuaoki/imediff

Package: imediff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, vim | emacs | editor
Recommends: git
Provides: imediff2
Breaks: imediff2 (<< 1.1.2.1-3)
Replaces: imediff2 (<< 1.1.2.1-3)
Description: interactive full screen 2/3-way merge tool
 The imediff command helps you to merge 2 slightly different files with an
 optional base file interactively using the in-place alternating display of
 the changed content on a single-pane full screen terminal user interface.
 .
 The source of line is clearly identified by the color of the line or the
 identifier character at the first column.
 .
 The advantage of this user interface is the minimal movement of the line of
 sight for the user.  Other great tools such as vimdiff, xxdiff, meld and
 kdiff3 require you to look at different points of display to find the exact
 position of changes.  This makes imediff the most stress-free tool.
 .
 Other great tools for merge such as "diff3 -m ..." and "git merge ..."
 operate only on the difference by line.  So even for the non-overlapping
 changes, they yield the merge conflict if changes happen on the same line.
 .
 The automatic merge logic of the imediff command operates not only on the
 difference by line but on the difference by character.  This is another
 great feature of the imediff command. So for the non-overlapping changes, it
 always yields the clean merge.
 .
 This comes with git-ime script which helps you to split squished git commit
 using imediff and with a support script to use imediff as the backend of
 git-mergetool.

## imediff 2.2

=== debian/changelog ===
imediff (2.2-1) unstable; urgency=medium

  * Refactor code and refine "g" key command.
  * Use REVERSE for mode "g" for readability.
  * Ensure clean save and add --sloppy option.
  * Bump policy to 4.3.0 and compat to 12.

 -- Osamu Aoki <osamu@debian.org>  Sun, 03 Mar 2019 21:15:46 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                docbook-xsl,
                python3-all,
                python3-distutils-extra,
                python3-setuptools,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 VCS-Git: https://github.com/osamuaoki/imediff.git -b master
 Vcs-Browser: https://github.com/osamuaoki/imediff
 Homepage: https://github.com/osamuaoki/imediff

## imediff 2.4

=== debian/changelog ===
imediff (2.4-3) unstable; urgency=medium

  * Fix regression caused by refactoring 1810b81 (2021-06-03)
    commit which caused broken -t option.

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Jul 2021 10:57:53 +0900

imediff (2.4-2) unstable; urgency=medium

  * Fix main.py -> __main__.py change left over.

 -- Osamu Aoki <osamu@debian.org>  Sat, 03 Jul 2021 22:32:58 +0900

imediff (2.4-1) unstable; urgency=medium

  * Fix git-ime bug for the handling of moved file.

 -- Osamu Aoki <osamu@debian.org>  Sat, 03 Jul 2021 16:39:55 +0900

imediff (2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Osamu Aoki ]
  * Bump upstream version to 2.3.
  * dgit compatible git branch tree.
  * Modern static setup.cfg and pyproject.toml with setuptools.
  * Move module source under src/
  * imediff: factor out create_template
  * imediff: remove tailing spaces in imediff/*
  * imediff: refine UI for non-clean save etc.
  * imediff: update test scripts
  * git-ime: lint with shellcheck
  * git-ime: reorganized to address commit with multiple files
  * doc: update manpage, update README.md
  * Update standards version to 4.5.1 and debhelper-compat to 13.

 -- Osamu Aoki <osamu@debian.org>  Tue, 29 Jun 2021 13:02:40 +0900

imediff (2.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: text
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                docbook-xsl,
                python3-all,
                python3-distutils-extra,
                python3-setuptools,
                xsltproc
-Standards-Version: 4.3.0
-VCS-Git: https://github.com/osamuaoki/imediff.git -b master
+Standards-Version: 4.5.1
+VCS-Git: https://github.com/osamuaoki/imediff.git -b main
 Vcs-Browser: https://github.com/osamuaoki/imediff
 Homepage: https://github.com/osamuaoki/imediff
 
@@ -43,6 +43,7 @@
  great feature of the imediff command. So for the non-overlapping changes, it
  always yields the clean merge.
  .
- This comes with git-ime script which helps you to split squished git commit
- using imediff and with a support script to use imediff as the backend of
- git-mergetool.
+ This comes with git-ime script which helps you to split a squished git commit
+ into smaller commits.  If the git commit involves only a single file, it is
+ split into smaller commits interactively using imediff.  Also, there is a
+ backend support script for git-mergetool to use imediff.

## imediff 2.6

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,12 @@
 #   For Debian, xsltproc binary package.
 #   For others, xsltproc is available from the libxsl source which uses libxml2.
 #   See http://xmlsoft.org/xslt/ for more.
-
+#
+# In order to have flexibility for the manpage, I commit generated manpage in advance.
+# If you make eny manual touch up, please add "sed -i ..." script here etc.
+#
+# This approach should make build process more robust against some xslt upstream change etc.
+#
 MANPAGES = imediff.1 git-ime.1
 
 all: $(MANPAGES)

=== debian/changelog ===
imediff (2.6-1) unstable; urgency=medium

  * Fix bug in git-ime for diff split a file into many files ( >8)

 -- Osamu Aoki <osamu@debian.org>  Sun, 06 Feb 2022 08:25:12 +0900

imediff (2.5-1) unstable; urgency=medium

  * Match lines with whitespace changes.
  * Match lines with partial head or tail string.
  * Fix bug in 3-way merge.
  * Better debug logging.
  * Drop unused i18n/gettext code for the ease of portability

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Oct 2021 16:00:06 +0900

imediff (2.4-6) unstable; urgency=medium

  * Disable automatic tagging during git-rebase.

 -- Osamu Aoki <osamu@debian.org>  Tue, 14 Sep 2021 14:15:49 +0900

imediff (2.4-5) unstable; urgency=medium

  * More CI-test codes.
  * Automatic tagging for git-ime.

 -- Osamu Aoki <osamu@debian.org>  Tue, 14 Sep 2021 13:41:05 +0900

imediff (2.4-4) unstable; urgency=medium

  * Update description of git-ime.
  * Update documentation for non-Debian/Ubuntu system.

 -- Osamu Aoki <osamu@debian.org>  Sun, 15 Aug 2021 16:49:12 +0900

=== debian/control ===
Source: imediff
Section: text
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0
VCS-Git: https://github.com/osamuaoki/imediff.git -b main
Vcs-Browser: https://github.com/osamuaoki/imediff
Homepage: https://github.com/osamuaoki/imediff

Package: imediff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, vim | emacs | editor
Recommends: git
Provides: imediff2
Breaks: imediff2 (<< 1.1.2.1-3)
Replaces: imediff2 (<< 1.1.2.1-3)
Description: interactive full screen 2/3-way merge tool
 The imediff command helps you to merge 2 slightly different files with
 an optional base file interactively using the in-place alternating
 display of the changed content on a single-pane full screen terminal
 user interface.
 .
 The source of line is clearly identified by the color of the line or the
 identifier character at the first column.
 .
 The advantage of this user interface is the minimal movement of the line
 of sight for the user.
 .
 The line matching logic of imediff has been improved to ignore whitespaces
 and use partial line matches to provide the best presentation with small
 chunk of lines.
 .
 The automatic 3 way merge logic of the imediff command operates not only on
 the difference by line but on the difference by character.  This is another
 great feature of the imediff command. So for the non-overlapping changes,
 it always yields the clean merge.
 .
 The "git ime" command helps you to unsquash 2 consecutive commits (`HEAD^`,
 `HEAD`) of a git repository.  The "git rebase -i <treeish>" and "gitk" can
 be used to organize unsquashed changes.
 .
 If any staged changes or local uncommitted changes are found in the git
 repository, "git ime" immediately exits without changes to be on the
 safe side.
 .
 If the latest commit involves multiple files, "git ime" splits this big
 commit by the file into multiple smaller commits involving a single file
 for each commit.
 .
 If the latest commit involves only a single file, the commit is split
 into multiple smaller commits involving a set of minimal partial
 changes by imediff to be managed interactively later.
 .
 This "git ime" is not only useful at the checked out branch head but
 also at "edit" prompt during the interactive execution of "git rebase -i
 <treeish>".  Execute "git ime" after committing the pending commit.

=== debian/rules ===
#!/usr/bin/make -f
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: check-script
Depends: @

## imediff 2.7

=== debian/changelog ===
imediff (2.7-1) unstable; urgency=medium

  * More logging before curses-related crash
  * Update README.md to address curses-related crash
  * Enhance git-ime to use --auto for large file to avoid crash
  * Add and enhance test cases (word diff)
  * Add pybuild-plugin-pyproject

 -- Osamu Aoki <osamu@debian.org>  Sun, 28 Jan 2024 17:44:25 +0900

## imediff 2.8

=== debian/changelog ===
imediff (2.8-1) unstable; urgency=medium

  * Update src/imediff/*
  * Update  test/*
  * Shuffle files for Linux
  * pyproject.toml migration
  * Update  debian/*
  * Don't use setuptools_scm for Debian
  * Remove imediff_install for Debian

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Feb 2024 23:26:09 +0900

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 VCS-Git: https://github.com/osamuaoki/imediff.git -b main
 Vcs-Browser: https://github.com/osamuaoki/imediff
 Homepage: https://github.com/osamuaoki/imediff
 
 Package: imediff
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, vim | emacs | editor
+Depends: vim | emacs | editor, ${misc:Depends}, ${python3:Depends}
 Recommends: git
 Provides: imediff2
 Breaks: imediff2 (<< 1.1.2.1-3)

## imediff 2.10

=== debian/changelog ===
imediff (2.10-1) unstable; urgency=medium

  * Update to new upstream version 2.10.
    * revise documentation
    * remove unused function in git-ime

 -- Osamu Aoki <osamu@debian.org>  Wed, 14 Aug 2024 14:18:48 +0900

imediff (2.9-1) unstable; urgency=medium

  * Updated git-ime

 -- Osamu Aoki <osamu@debian.org>  Wed, 14 Aug 2024 00:33:17 +0900

## imediff 2.11

=== debian/changelog ===
imediff (2.11-1) unstable; urgency=medium

  * Fix major git-ime regression for changes on a single file.
  * Improve git-ime to cope with renames and deletes.
  * Stop using relative path import for imediff and clean up code.
  * Simplify Debian packaging using quasi-native with auto-commit.

 -- Osamu Aoki <osamu@debian.org>  Sun, 06 Oct 2024 17:03:25 +0900

=== debian/rules ===
#!/usr/bin/make -f
# vim: set ts=8 noet sw=8 ai si:
# uncomment to enable verbose mode for debhelper
#DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	debian/check_version
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	# dh-compat for all 13, 14, 15
	if [ -e debian/imediff ]; then \
	rm -f debian/imediff/usr/bin/imediff_install ; \
	elif [ -e debian/tmp ]; then \
	rm -f debian/tmp/usr/bin/imediff_install ; \
	else \
	echo "E: missing installed imediff_install" ; \
	exit ; \
	fi

## imediff 3.3.2

=== debian/changelog ===
imediff (3.3.2-1) unstable; urgency=medium

  * Update git-ime since TUI has no line limitation.

 -- Osamu Aoki <osamu@debian.org>  Thu, 14 Nov 2024 23:53:30 +0900

imediff (3.3.1-1) unstable; urgency=medium

  * Fix python warning for \s etc.  Closes: #1087234

 -- Osamu Aoki <osamu@debian.org>  Sun, 10 Nov 2024 21:24:16 +0900

imediff (3.3-1) unstable; urgency=medium

  * Program version bump.

 -- Osamu Aoki <osamu@debian.org>  Sun, 10 Nov 2024 17:21:15 +0900

imediff (3.2-1) unstable; urgency=medium

  * UI consistency with SPACE (scroll or exit).

 -- Osamu Aoki <osamu@debian.org>  Sun, 10 Nov 2024 17:08:21 +0900

imediff (3.1-1) unstable; urgency=medium

  * Fixed imediff minor bugs
  * Add pypi-support scripts
  * Add test/00_local_imediff.sh dev-helper scripts
  * Add sample/00_local_imediff_diff3.sh and results
  * Drop outdated reminder on file size limitation
  * Add /WHITE support feature
  * Reasonable -a, -b, -c, -d starting behavior for diff3
  * Refine Tutorial text.

 -- Osamu Aoki <osamu@debian.org>  Sat, 09 Nov 2024 21:39:48 +0900

imediff (3.0-1) unstable; urgency=medium

  * Embed version in git-ime.
  * Rewite code to avoid hitting curses library limitations.

 -- Osamu Aoki <osamu@debian.org>  Thu, 07 Nov 2024 22:13:19 +0900

## imediff 3.4.0

=== debian/changelog ===
imediff (3.4.0-1) unstable; urgency=medium

  * Redesign logging of imediff as an optional behavior to address
    https://github.com/osamuaoki/imediff/issues/11
  * Redesign short command options of imediff for consistency.
  * Update documentation (tutorial, manpage).
  * Update test scripts.
  * Fixed bug for END/9.

 -- Osamu Aoki <osamu@debian.org>  Tue, 04 Feb 2025 20:05:11 +0900

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%imediff-$1.tar.gz%, pgpmode=none" \
    https://github.com/osamuaoki/imediff/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## imediff 3.4.1

=== usr/share/man/man1/Makefile ===
# vim:set noet ts=8
# All Linux/unix specific data installation by "make -C src/imediff/unix-data"

all: manpages 


# Generate manpage from DocBook XML
#
# Require xsltproc
#   For Debian, xsltproc binary package.
#   For others, xsltproc is available from the libxsl source which uses libxml2.
#   See http://xmlsoft.org/xslt/ for more.
#
# In order to have flexibility for the manpage, I commit generated manpage in advance.
# If you make eny manual touch up, please add "sed -i ..." script here etc.
#
# This approach should make build process more robust against some xslt upstream change etc.
#
MANPAGES = imediff.1 git-ime.1

%.1:  %.xml
	xsltproc --novalid /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $?

# This is used by the upstream
manpages:  $(MANPAGES)

distclean: clean

clean:
	rm -f $(MANPAGES)

=== debian/changelog ===
imediff (3.4.1-1) unstable; urgency=medium

  * Add "git ime --delete" feature.
  * Bump copyright to 2025.

 -- Osamu Aoki <osamu@debian.org>  Fri, 29 Aug 2025 13:17:17 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 VCS-Git: https://github.com/osamuaoki/imediff.git -b main
 Vcs-Browser: https://github.com/osamuaoki/imediff
 Homepage: https://github.com/osamuaoki/imediff

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # vim: set ts=8 noet sw=8 ai si:
 # uncomment to enable verbose mode for debhelper
 #DH_VERBOSE = 1
+VERSION=$(shell dpkg-parsechangelog -S version)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -15,8 +16,12 @@
 	# dh-compat for all 13, 14, 15
 	if [ -e debian/imediff ]; then \
 	rm -f debian/imediff/usr/bin/imediff_install ; \
+	sed -e "s/@@version@@/$(VERSION)/" usr/bin/git-ime.in > debian/imediff/usr/bin/git-ime ; \
+	rm -f debian/imediff/usr/bin/git-ime.in ; \
 	elif [ -e debian/tmp ]; then \
 	rm -f debian/tmp/usr/bin/imediff_install ; \
+	sed -e "s/@@version@@/$(VERSION)/" usr/bin/git-ime.in > debian/tmp/usr/bin/git-ime ; \
+	rm -f debian/tmp/usr/bin/git-ime.in ; \
 	else \
 	echo "E: missing installed imediff_install" ; \
 	exit ; \
